Commands Grasping
Total endpoints: 18
Example base URL: https://<ROBOT_IP>/rest
Required access for this section: USER
Add Client Animation
- Endpoint:
/api/v2/commands/add_client_animation/ - Function: Execute the
add_client_animationcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,DictValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/add_client_animation/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": {"key": "value"}}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/add_client_animation/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': {'key': 'value'}}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
{
"command": {
"command": "add_client_animation",
"value": {
"key": "value"
}
},
"result": "value"
}
Note: Payload depends on the executed command.
Delete Client Animation
- Endpoint:
/api/v2/commands/delete_client_animation/ - Function: Execute the
delete_client_animationcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/delete_client_animation/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/delete_client_animation/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Discard Last Episode
- Endpoint:
/api/v2/commands/discard_last_episode/ - Function: Execute the
discard_last_episodecommand through the v2 command bridge. - Method:
POST - Parameters: none
- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/discard_last_episode/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/discard_last_episode/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Exit Arms Collision
- Endpoint:
/api/v2/commands/exit_arms_collision/ - Function: Execute the
exit_arms_collisioncommand through the v2 command bridge. - Method:
POST - Parameters: none
- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/exit_arms_collision/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/exit_arms_collision/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Auto Hand Choice
- Endpoint:
/api/v2/commands/get_auto_hand_choice/ - Function: Execute the
get_auto_hand_choicecommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_auto_hand_choice/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_auto_hand_choice/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Chain For Task
- Endpoint:
/api/v2/commands/get_chain_for_task/ - Function: Execute the
get_chain_for_taskcommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_chain_for_task/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_chain_for_task/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Client Animation
- Endpoint:
/api/v2/commands/get_client_animation/ - Function: Execute the
get_client_animationcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/get_client_animation/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_client_animation/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Get Client Animation List
- Endpoint:
/api/v2/commands/get_client_animation_list/ - Function: Execute the
get_client_animation_listcommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_client_animation_list/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/get_client_animation_list/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Is Animation Name Available
- Endpoint:
/api/v2/commands/is_animation_name_available/ - Function: Execute the
is_animation_name_availablecommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/is_animation_name_available/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/is_animation_name_available/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Activation Openloop
- Endpoint:
/api/v2/commands/set_activation_openloop/ - Function: Execute the
set_activation_openloopcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,BoolValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_activation_openloop/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": true}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_activation_openloop/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Auto Hand Choice
- Endpoint:
/api/v2/commands/set_auto_hand_choice/ - Function: Execute the
set_auto_hand_choicecommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,BoolValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_auto_hand_choice/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": true}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_auto_hand_choice/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Grasp Side
- Endpoint:
/api/v2/commands/set_grasp_side/ - Function: Execute the
set_grasp_sidecommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,StrValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_grasp_side/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": "example"}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_grasp_side/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Impedance Level
- Endpoint:
/api/v2/commands/set_impedance_level/ - Function: Execute the
set_impedance_levelcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,FloatValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_impedance_level/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": 1.0}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_impedance_level/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 1.0}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set Wizard Hand Priority
- Endpoint:
/api/v2/commands/set_wizard_hand_priority/ - Function: Execute the
set_wizard_hand_prioritycommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,BoolValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_wizard_hand_priority/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": true}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_wizard_hand_priority/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Set World Frame Control Flag
- Endpoint:
/api/v2/commands/set_world_frame_control_flag/ - Function: Execute the
set_world_frame_control_flagcommand through the v2 command bridge. - Method:
POST - Parameters:
payload(body,BoolValuePayload)- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_world_frame_control_flag/" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"value": true}'
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/set_world_frame_control_flag/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Start Episode Recording
- Endpoint:
/api/v2/commands/start_episode_recording/ - Function: Execute the
start_episode_recordingcommand through the v2 command bridge. - Method:
POST - Parameters: none
- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/start_episode_recording/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/start_episode_recording/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Trigger Torque Sensor Check
- Endpoint:
/api/v2/commands/trigger_torque_sensor_check/ - Function: Execute the
trigger_torque_sensor_checkcommand through the v2 command bridge. - Method:
POST - Parameters: none
- Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/trigger_torque_sensor_check/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/trigger_torque_sensor_check/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.
Wizard Has Hand Priority
- Endpoint:
/api/v2/commands/wizard_has_hand_priority/ - Function: Execute the
wizard_has_hand_prioritycommand through the v2 command bridge. - Method:
GET - Parameters: none
- Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/wizard_has_hand_priority/" \
-H "Authorization: Bearer <token>"
- Python Command:
import requests
url = "https://<ROBOT_IP>/rest/api/v2/commands/wizard_has_hand_priority/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)
print(response.status_code)
print(response.json())
- Response Example (
200):
Note: Payload depends on the executed command.